#!/usr/bin/env node
'use strict';

const program = require('commander');
const ver = require('../package.json').version;

const args = [];
process.argv.map(arg => {
  if (/^-[a-zA-Z][^ ]/.test(arg)) {
    args.push(arg.substring(0, 2));
    args.push(arg.substring(2));
    return;
  }
  args.push(arg);
});

program
  .version(ver, '-v, --version')
  .description('a simple pomodoro style task tracker')
  .command('config', 'tool for configuring gishdo settings')
  .command('run', 'starts running the timer for each task in a list of tasks')
  .command('add', 'adds a new sprint, project, task, or note.')
  .command('rm', 'removes a task, project, sprint, or note.')
  .command('ls', 'shows a list of sprints, projects, tasks, or notes')
  .command('set', 'set properties on a task, sprint, project, or note')
  .command('complete', 'mark a task, sprint, or project as complete')
  .parse(args);
