
'use strict';

const {
  getValuesFromProgram,
  getFieldsFromOptions,
  dieWithout
} = require('../lib/utils');

const { Project } = require('../lib/getModels')();

const options = [
  { opt: '-n, --name <string>', msg: 'add a project name' },
  { opt: '-d, --description <string>', msg: 'add a project description' },
  { opt: '-p, --priority <number>', msg: 'set a priority for the project' }
];

async function handler(program) {
  const fields = getFieldsFromOptions(options);
  const values = getValuesFromProgram(fields, program);
  const { name, description, priority } = values;
  dieWithout({ name, description });
  const project = await Project.create({ name, description, priority });
  return { display: JSON.stringify(project, null, 2) };
}

module.exports = { options, handler };

