
'use strict';

const {
  getValuesFromProgram,
  getFieldsFromOptions,
  dieWithout
} = require('../lib/utils');

const { Sprint } = require('../lib/getModels')();

const options = [
  { opt: '-n, --name <sprint>', msg: 'your new sprint\'s name.' },
  { opt: '-s, --sort <sort>', msg: 'your new sprint\'s sort type' }
];

async function handler(program) {
  const fields = getFieldsFromOptions(options);
  const values = getValuesFromProgram(fields, program);
  const { name, sort } = values;
  dieWithout({ name });
  const sprint = await Sprint.create({ name, sort });
  return { display: JSON.stringify(sprint, null, 2) };
}

module.exports = { options, handler };

