
'use strict';

const { readFile } = require('fs').promises;
const { getValuesFromProgram, getFieldsFromOptions } = require('../lib/utils');
const configPath = `${process.env.HOME}/.gishdo/config.json`;

const options = [
  {
    opt: '-p, --property <string>',
    msg: 'The property to retrieve from your gishdo config.'
  }
];

async function handler(program) {
  const fields = getFieldsFromOptions(options);
  const values = getValuesFromProgram(fields, program);
  const { property } = values;
  const json = await readFile(configPath, 'utf-8').then(JSON.parse);

  if (!property) {
    return { display: JSON.stringify(json, null, 2) };
  } else {
    return { display: JSON.stringify(json[property], null, 2) };
  }
}

module.exports = { options, handler };

