
'use strict';

// console.log('rethink this');
// process.exit(1);

const configPath = `${process.env.HOME}/.gishdo/config.json`;
const { red } = require('chalk');
const size = require('window-size');
const { readFile } = require('fs').promises;
const { getValues, say, choice, prompt, cli } = require('../lib/cli');

function top() {
  const q = 'What brings you here?';
  const c = [
    'View Config',
    'Change Config',
    new cli.Separator(),
    red('done')
  ];
  return choice('type', q, c, true, true);
}

function editQuestion() {
  const q = 'Would you like to edit the config?';
  const c = [
    'Edit Config',
    new cli.Separator(),
    red('done')
  ];
  return choice('type', q, c, true, false);
}

function edit() {
  const q = '';
}

const structure = {
  splash: () => {
    if (size) {
      const fill = ' '.repeat(Math.floor(size.height/2) * size.width);
      const str = 'Welcome To Gishdo';
      const len = str.length;
      const pad = ' '.repeat(Math.floor((size.width - len) / 2));
      return `${fill}${str.replace(/^/, pad).replace(/$/, pad)}${fill}`;
    } else {
      return 'nope';
    }
  },
  splashTime: 2000,
  main: async function() {
    let { type } = await top();
    switch(type) {
      case 'View Config':
        await readFile(configPath, 'utf-8').then((c) => {
          console.clear();
          console.log(c);
          console.log('\n\n');
          return editQuestion();
        }).then(({ type }) => {
          switch(type) {
            case 'Edit Config':
              console.log('edit');
              break;
            case red('done'):
              process.exit(0);
              break;
          }
        });
        break;
      case 'Change Config':
        console.log('xyz');
        break;
      case red('done'):
        console.clear();
        process.exit(0);
    }
  }
};

module.exports = { structure };
