
'use strict';

const { readFile, writeFile } = require('fs').promises;
const { getValuesFromProgram, getFieldsFromOptions } = require('../lib/utils');
const configPath = `${process.env.HOME}/.gishdo/config.json`;

const options = [
  {
    opt: '-p, --property <string>',
    msg: 'The property=value pair to set in your gishdo config.'
  }
];

async function handler(program) {
  const fields = getFieldsFromOptions(options);
  const values = getValuesFromProgram(fields, program);
  const { property } = values;
  const [k, v] = property.split('=');
  const breakUp = /\./g.test(k);
  const json = await readFile(configPath).then(JSON.parse);
  if (breakUp) {
    let parts = k.split('.');
    let len = parts.length;
    let path = json;
    for (let i = 0; i < len; i++) {
      if (!path[parts[i]] && i !== len - 1) {
        path[parts[i]] = {};
        path = path[parts[i]];
      } else {
        path[parts[i]] = v;
      }
    }
  } else {
    json[k] = v;
  }
  await writeFile(configPath, JSON.stringify(json, null, 2));
  return { display: JSON.stringify(json, null, 2)};
}

module.exports = { options, handler };

