'use strict';

const { spawn } = require('child_process');
const uuid = require('uuid/v4');
const id = uuid();
const electron = `${process.cwd()}/node_modules/.bin/electron`;

function run(sprint) {
  const env = process.env;
  env.KEYED = id;
  const api = spawn('node', [`${process.cwd()}/lib/api.js`], env);
  env.SPRINT = sprint;

  const app = spawn(electron, [`${process.cwd()}/electron/`], env);
  app.on('exit', () => {
    api.kill('SIGHUP');
  });

}

run(process.argv[2]);
