
'use strict';

const {
  getValuesFromProgram,
  getFieldsFromOptions
} = require('../lib/utils');

const { setNote } = require('../lib/handlers');

const options = [
  {
    opt: '-n, --note <string|number>',
    msg: 'The note you want to set a property on.'
  },
  {
    opt: '-T, --text <string>',
    msg: 'The new value of the note'
  },
  {
    opt: '-s, --sprint <string|number>',
    msg: 'Associate the specified note with this sprint.'
  },
  {
    opt: '-t, --task <string|number>',
    msg: 'Associate the specified note with this task.'
  },
  {
    opt: '-p, --project <string|number>',
    msg: 'Associate the specified note with this project.'
  }
];

async function handler(program) {
  const fields = getFieldsFromOptions(options);
  const values = getValuesFromProgram(fields, program);
  return setNote(values);
}

module.exports = { options, handler };

