
'use strict';

const {
  getValuesFromProgram,
  getFieldsFromOptions
} = require('../lib/utils');

const { setProject } = require('../lib/handlers');

const options = [
  {
    opt: '-p, --project <string|number>',
    msg: 'The project you want to set properties on.'
  },
  {
    opt: '-n, --name <string>',
    msg: 'The new name for this project.'
  },
  {
    opt: '-d, --description <string>',
    msg: 'The new description for this project.'
  },
  {
    opt: '-P, --priority <number>',
    msg: 'The new priority for this project.'
  },
  {
    opt: '-D, --due <string>',
    msg: 'The new due date for this project (parsed by new Date)'
  },
];

async function handler(program) {
  const fields = getFieldsFromOptions(options);
  const values = getValuesFromProgram(fields, program);
  return setProject(values);
}

module.exports = { options, handler };

