
'use strict';

const {
  getValuesFromProgram,
  getFieldsFromOptions
} = require('../lib/utils');

const { setSprint } = require('../lib/handlers');

const options = [
  {
    opt: '-s, --sprint <string|number>',
    msg: 'The sprint you want to set properties on.'
  },
  {
    opt: '-n, --name <string>',
    msg: 'The new name for this sprint.'
  },
  {
    opt: '-S, --sort <string>',
    msg: 'The new sort value for this sprint.'
  }
];

async function handler(program) {
  const fields = getFieldsFromOptions(options);
  const values = getValuesFromProgram(fields, program);
  return setSprint(values);
}

module.exports = { options, handler };

