
'use strict';

const {
  getValuesFromProgram,
  getFieldsFromOptions
} = require('../lib/utils');

const { setTask } = require('../lib/handlers');

const options = [
  {
    opt: '-t, --task <string|number>',
    msg: 'The task you want to edit'
  },
  {
    opt: '-p, --project <string|number>',
    msg: 'Set the project for this task.'
  },
  {
    opt: '-s, --sprint <string|number>',
    msg: 'Set the sprint for this task.'
  },
  {
    opt: '-i, --instruction <string>',
    msg: 'Set the instruction to a new string'
  },
  {
    opt: '-v, --verbose-notes-required <string>',
    msg: 'Set whether or not this task requires a note to be closed'
  },
  {
    opt: '-P, --priority <number>',
    msg: 'Set a priority for this task'
  },
  {
    opt: '-e, --estimated-mins-to-completion <number>',
    msg: 'Set the estimated time to completion in minutes'
  },
  {
    opt: '-d, --due <string>',
    msg: 'Set the due date of this task'
  }
];

async function handler(program) {
  const fields = getFieldsFromOptions(options);
  const values = getValuesFromProgram(fields, program);
  return setTask(values);
}

module.exports = { options, handler };

