const { app, BrowserWindow, ipcMain } = require('electron');
const getAPIKey = require('../lib/getAPIKey');

let win;

ipcMain.on('getSprint', (event) => {
  event.returnValue = process.env.SPRINT;
});

ipcMain.on('getAPIKey', (event) => {
  event.returnValue = getAPIKey();
});

function createWindow () {
  win = new BrowserWindow({
    width: 800,
    height: 800,
    webPreferences: {
      nodeIntegration: true
    }
  });

  win.loadFile('index.html');

  // win.webContents.openDevTools();

  win.on('closed', () => {
    win = null;
  });
}

app.on('ready', createWindow);

app.on('window-all-closed', () => {
  app.quit();
});

app.on('activate', () => {
  if (win === null) {
    createWindow();
  }
});
