'use strict';

const Koa = require('koa');
const Router = require('koa-router');
const app = new Koa();
const router = new Router({ prefix: '/api' });
const { Sprint } = require('./getModels')();
const getAPIKey = require('../lib/getAPIKey');
const key = getAPIKey();
const { writeFileSync } = require('fs');

router.get('/sprint', (ctx) => {
  writeFileSync('/tmp/blargh.fooey', `body: ${JSON.stringify(ctx.request.body)}`);
  if (ctx.request.query.key !== key) {
    ctx.throw(403, 'AUTH FAILED');
  }

  return Sprint.get({ where: { id: ctx.request.query.sprint } })
    .then(async (res) => {
      if (res && typeof res.populate === 'function') {
        await res.populate();
      }
      return res;
    })
    .then(s => {
      ctx.body = s;
    });
});

app.use(router.routes());

app.listen(8888);
