'use strict';

module.exports = loadDriver;

function loadDriver(obj) {
  let DRIVER;
  const fs = require('fs');
  const path = require('path');
  const oPath = path.join(process.env.HOME, '.gishdo/config.json');
  const options = obj ? obj : JSON.parse(fs.readFileSync(oPath));
  const { driver, driverOptions } = options;

  if (/sqlite/i.test(driver)) {
    DRIVER = require('../drivers/sqlite')(driverOptions);
  } else if (/redis/i.test(driver)) {
    DRIVER = require('../drivers/redis')(driverOptions);
  } else {
    throw new Error(`Driver: ${driver} not implemented (yet?)`);
  }

  return DRIVER;
}
