'use strict';

module.exports = function runCommand(command, description, args) {
  const program = require('commander');
  const { options, handler } = require(`../commands/${command}`);
  program.description(description);
  options.map(option => program.option(option.opt, option.msg));
  if (args) {
    program.arguments(args);
  }
  program.action(run);
  program.parse(process.argv);

  async function run() {
    let { display } = await handler(program).catch(e => {
      console.error(e.message);
      process.exit(1);
    });
    console.log(display);
  }
};
