'use strict';

const values = {
  status: [
    'new',
    'commenced',
    'paused',
    'completed'
  ],
  sort: [
    'priority',
    'random',
    'ascending',
    'descending',
    'manual'
  ]
};

module.exports = {
  id: {
    type: Number,
    allowNull: false
  },
  name: {
    type: String,
    allowNull: false
  },
  status: {
    type: String,
    defaultValue: 'new',
    enum: values.status
  },
  sort: {
    type: String,
    defaultValue: 'priority',
    enum: values.sort
  },
  due: {
    type: Date
  },
  completed: {
    type: Date
  },
  tasks: {
    type: Object
  },
  notes: {
    type: Object
  },
  createdAt: {
    type: Date,
    defaultValue: () => { return new Date(); }
  },
  updatedAt: {
    type: Date,
    defaultValue: () => { return new Date(); }
  }
};
