'use strict';

module.exports = {
  id: {
    type: Number,
    allowNull: false
  },
  instruction: {
    type: String,
    allowNull: false,
    maxChars: 128
  },
  completed: {
    type: Date
  },
  minutesInvested: {
    type: Number
  },
  verboseNotesRequired: {
    type: Boolean,
    defaultValue: false
  },
  priority: {
    type: Number,
    defaultValue: 4,
    min: 0,
    max: 9
  },
  estimatedMinsToCompletion: {
    type: Number,
    defaultValue: 25,
    min: 1,
    max: 60
  },
  sprintId: {
    type: Number,
    ref: 'sprints',
    foreignField: 'id'
  },
  projectId: {
    type: Number,
    ref: 'project',
    foreignField: 'id'
  },
  place: {
    type: Number
  },
  due: {
    type: Date,
    defaultValue: null
  },
  createdAt: {
    type: Date,
    defaultValue: () => {
      return new Date().toISOString().slice(0, 19).replace('T', ' ');
    }
  },
  updatedAt: {
    type: Date,
    defaultValue: () => {
      return new Date().toISOString().slice(0, 19).replace('T', ' ');
    }
  },
  s: {
    type: Object
  },
  p: {
    type: Object
  },
  n: {
    type: Object
  }
};
