#!/bin/bash

function isAinB {
    for B in ${2};do
        if [[ "${1}" == "${B}" ]]; then
            return 0
        fi
    done
    return 1
}

function _gishdo # 'bash completion for gishdo'
{
    local cur=${COMP_WORDS[COMP_CWORD]}
    local prev=${COMP_WORDS[COMP_CWORD - 1]}
    local prevPrev=$([ ${#COMP_WORDS[*]} -ge 3 ] && echo "${COMP_WORDS[COMP_CWORD - 2]}")
    local commands="add ls set complete rm run help"
    local addSubCommands="task project sprint note interactive help"
    local completeSubCommands="help"
    local rmSubCommands="help"
    local lsSubCommands="tasks projects sprints notes help"
    local setSubCommands="task project sprint note help"

    if [[ "${prev}" == "gishdo" ]]; then
        COMPREPLY=( $(compgen -W "${commands}" "${cur}") )
    elif [[ "${prevPrev}" == "ls" && $(isAinB ${prev} "${lsSubCommands}") -eq 0 ]]; then
        COMPREPLY=( $(compgen -W "--help") )
    elif [[ "${prevPrev}" == "add" && $(isAinB ${prev} "${addSubCommands}") -eq 0 ]]; then
        COMPREPLY=( $(compgen -W "--help") )
    elif [[ "${prevPrev}" == "set" && $(isAinB ${prev} "${setSubCommands}") -eq 0 ]]; then
        COMPREPLY=( $(compgen -W "--help") )
    elif [[ "${prevPrev}" == "complete" && $(isAinB ${prev} "${completeSubCommands}") -eq 0 ]]; then
        COMPREPLY=( $(compgen -W "--help") )
    elif [[ "${prevPrev}" == "rm" && $(isAinB ${prev} "${completeSubCommands}") -eq 0 ]]; then
        COMPREPLY=( $(compgen -W "--help") )
    elif [[ $(isAinB ${prev} "${commands}") -eq 0 ]]; then
        case "${prev}" in
            'add')
                COMPREPLY=( $(compgen -W "${addSubCommands}" "${cur}") );;
            'ls')
                COMPREPLY=( $(compgen -W "${lsSubCommands}" "${cur}") );;
            'set')
                COMPREPLY=( $(compgen -W "${setSubCommands}" "${cur}") );;
            'complete')
                COMPREPLY=( $(compgen -W "${completeSubCommands}" "${cur}") );;
            'rm')
                COMPREPLY=( $(compgen -W "${rmSubCommands}" "${cur}") );;
            'run')
                COMPREPLY=( $(compgen -W "${runOptions}" "${cur}") );;
        esac
    fi

    return 0
}

complete -F _gishdo gishdo
